PrioSetMember (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.syntaxgraph.headrules
Class PrioSetMember

    java.lang.Object
      org.maltparser.core.syntaxgraph.headrules.PrioSetMember

    public class PrioSetMember

extends Object

Author:
  Johan Hall

Nested Class Summary
`protected static class` | `PrioSetMember.RelationToPrevMember`

Field Summary
`protected ColumnDescription` | `column`
`protected PrioSet` | `prioSet`
`protected PrioSetMember.RelationToPrevMember` | `relationToPrevMember`
`protected int` | `symbolCode`
`protected SymbolTable` | `table`

Constructor Summary
`PrioSetMember(PrioSet prioSet, SymbolTable table, ColumnDescription column, int symbolCode, PrioSetMember.RelationToPrevMember relationToPrevMember)`
`PrioSetMember(PrioSet prioSet, SymbolTable table, ColumnDescription column, String symbolString, PrioSetMember.RelationToPrevMember relationToPrevMember)`

Method Summary
`boolean` | `equals(Object obj)`
`ColumnDescription` | `getColumn()`
`PrioSet` | `getPrioSet()`
`PrioSetMember.RelationToPrevMember` | `getRelationToPrevMember()`
`int` | `getSymbolCode()`
`String` | `getSymbolString()`
`SymbolTable` | `getTable()`
`int` | `hashCode()`
`void` | `setColumn(ColumnDescription column)`
`void` | `setPrioSet(PrioSet prioSet)`
`void` | `setRelationToPrevMember(PrioSetMember.RelationToPrevMember relationToPrevMember)`
`void` | `setSymbolCode(int symbolCode)`
`void` | `setTable(SymbolTable table)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### prioSet

    protected PrioSet prioSet

### table

    protected SymbolTable table

### column

    protected ColumnDescription column

### symbolCode

    protected int symbolCode

### relationToPrevMember

    protected PrioSetMember.RelationToPrevMember relationToPrevMember

Constructor Detail

### PrioSetMember

    public PrioSetMember(PrioSet prioSet,
                         SymbolTable table,
                         ColumnDescription column,
                         int symbolCode,
                         PrioSetMember.RelationToPrevMember relationToPrevMember)

### PrioSetMember

    public PrioSetMember(PrioSet prioSet,
                         SymbolTable table,
                         ColumnDescription column,
                         String symbolString,
                         PrioSetMember.RelationToPrevMember relationToPrevMember)
                  throws MaltChainedException

Throws:
  `MaltChainedException`

Method Detail

### getPrioSet

    public PrioSet getPrioSet()

### setPrioSet

    public void setPrioSet(PrioSet prioSet)

### getColumn

    public ColumnDescription getColumn()

### setColumn

    public void setColumn(ColumnDescription column)

### getTable

    public SymbolTable getTable()

### setTable

    public void setTable(SymbolTable table)

### getSymbolCode

    public int getSymbolCode()

### getSymbolString

    public String getSymbolString()
                           throws MaltChainedException

  Throws:
    `MaltChainedException`

### setSymbolCode

    public void setSymbolCode(int symbolCode)

### getRelationToPrevMember

    public PrioSetMember.RelationToPrevMember getRelationToPrevMember()

### setRelationToPrevMember

    public void setRelationToPrevMember(PrioSetMember.RelationToPrevMember relationToPrevMember)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.